Subject: Re: [SWIPL] about assert

From: Jan Wielemaker <[email-masked]>
Date: Tue, 8 May 2001 12:26:35 +0200

On Tue, 08 May 2001, Rastei Amelia Viorela wrote:
>Why do I get errors in this case:
>
> :-dynamic
>	from/1.
>
> from(mures).
> test(X):-assert(from(X)).
>
> ?-test(cluj).
>  ERROR: No permission to modify static_procedure `from/1'
>  ^  Exception:
>
>  THANK YOU!

You shouldn't (and I don't).  I cannot recall any bugs in this area,
so maybe you are doing something different than I think your are doing.
I created a file dyn.pl with content

------------------------------------------------
:-dynamic
	from/1.

from(mures).
test(X):-assert(from(X)).

test :-
	test(cluj).
------------------------------------------------

I loaded this file and then typed test. to the prompt.

Please give details (version, what exactly you are doing how).

	--- Jan